# eric5.E5Gui.E5PasswordMeter

Module implementing a custom widget indicating the strength of a password.

### Global Attributes

None

### Classes

E5PasswordMeter | Class implementing a custom widget indicating the strength of a password.

### Functions

None

## E5PasswordMeter

Class implementing a custom widget indicating the strength of a password.

### Derived from

QProgressBar

### Class Attributes

app
meter

### Class Methods

None

### Methods

E5PasswordMeter | Constructor
checkPasswordStrength | Public slot to check the password strength and update the progress bar accordingly.
setMaximum | Public method to set the maximum value.
setMinimum | Public method to set the minimal value.
setValue | Public method to set the value.

### Static Methods

None

#### E5PasswordMeter (Constructor)

E5PasswordMeter(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E5PasswordMeter.checkPasswordStrength

checkPasswordStrength(password)

Public slot to check the password strength and update the progress bar accordingly.

password
  password to be checked (string)

#### E5PasswordMeter.setMaximum

setMaximum(value)

Public method to set the maximum value.

Overwritten to do nothing.

value
  maximum value (integer)

#### E5PasswordMeter.setMinimum

setMinimum(value)

Public method to set the minimal value.

Overwritten to do nothing.

value
  minimum value (integer)

#### E5PasswordMeter.setValue

setValue(value)

Public method to set the value.

Overwritten to do nothing.

value
  value (integer)

Up